ClassfileSet (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.depend.ClassfileSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.depend
Class ClassfileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.types.optional.depend.ClassfileSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

public class ClassfileSet
extends FileSet

A ClassfileSet is a FileSet, that enlists all classes that depend on a certain set of root classes. A ClassfileSet extends FileSets. The nested FileSet attribute provides the domain, that is used for searching for dependent classes

Author:
  Holger Engels

Nested Class Summary
`static class` | `ClassfileSet.ClassRoot` Inner class used to contain info about root classes

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` | `ClassfileSet()` Default constructor
`protected` | `ClassfileSet(ClassfileSet s)` Create a ClassfileSet from another ClassfileSet

Method Summary
`void` | `addConfiguredRoot(ClassfileSet.ClassRoot root)` Add a nested root class definition to this class file set
`void` | `addRootFileset(FileSet rootFileSet)` Add a fileset to which contains a collection of root classes used to drive the search from classes
`java.lang.Object` | `clone()` Clone this data type.
`DirectoryScanner` | `getDirectoryScanner(Project p)` Return the DirectoryScanner associated with this FileSet.
`void` | `setRootClass(java.lang.String rootClass)` Set the root class attribute

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getRef, getSelectors, hasPatterns, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassfileSet

    public ClassfileSet()

  Default constructor

### ClassfileSet

    protected ClassfileSet(ClassfileSet s)

  Create a ClassfileSet from another ClassfileSet

Parameters:
  `s` - the other classfileset

Method Detail

### addRootFileset

    public void addRootFileset(FileSet rootFileSet)

  Add a fileset to which contains a collection of root classes used to drive the search from classes

  Parameters:
    `rootFileSet` - a root file set to be used to search for dependent classes

### setRootClass

    public void setRootClass(java.lang.String rootClass)

  Set the root class attribute

  Parameters:
    `rootClass` - the name of the root class.

### getDirectoryScanner

    public DirectoryScanner getDirectoryScanner(Project p)

  Return the DirectoryScanner associated with this FileSet.

  Overrides:
    `getDirectoryScanner` in class `AbstractFileSet`
  Parameters:
    `p` - the project used to resolve dirs, etc.
  Returns:
    a dependency scanner.

### addConfiguredRoot

    public void addConfiguredRoot(ClassfileSet.ClassRoot root)

  Add a nested root class definition to this class file set

  Parameters:
    `root` - the configured class root.

### clone

    public java.lang.Object clone()

  Clone this data type.

  Overrides:
    `clone` in class `FileSet`
  Returns:
    a clone of the class file set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.